import { history } from '@umijs/max';
import { Button, Result } from 'antd';
import React from 'react';

const NoFoundPage = () => (
  <Result
    status="403"
    title="403"
    subTitle="抱歉，该页面您无权访问！"
    extra={
      <Button type="primary" onClick={() => history.push('/welcome')}>
        Back Home
      </Button>
    }
  />
);

export default NoFoundPage;
