function getcolumns(setdrawer) {
  return [
    {
      title: '故障类型',
      dataIndex: 'faultType',
      key: 'faultType',
      formItemProps: {
        rules: [
          {
            required: true,
            message: '此项为必填项',
          },
        ],
      },
    },
    {
      title: '故障代码',
      dataIndex: 'faultCode',
      key: 'faultCode',
    },
    {
      title: '设备类型',
      dataIndex: 'equipmentTypeName',
      key: 'equipmentTypeId',
      valueType: 'treeSelect',
      options: {
        path: '/asset/equipmentType/queryTreeList',
        params: {},
      },
    },
    {
      title: '备注',
      dataIndex: 'remark',
      key: 'remark',
      valueType: 'textarea',
      search: false,
    },
  ];
}
export default getcolumns;
