export default [
  {
    "path": "/welcome",
    "name": "欢迎",
    "icon": "smile",
    "component": "./Welcome"
  },
  {
    "name": "基础设置",
    "icon": "setting",
    "path": "/setting",
    "routes": [
      {
        "name": "用户管理",
        "path": "/setting/users",
        "component": "./setting/users"
      },
      {
        "name": "角色管理",
        "path": "/setting/role",
        "component": "./setting/role"
      },
      {
        "name": "组织管理",
        "path": "/setting/organization",
        "component": "./setting/organization"
      },
      {
        "name": "工厂管理",
        "path": "/setting/factory",
        "component": "./setting/factory"
      },
      {
        "name": "车间管理",
        "path": "/setting/workshop",
        "component": "./setting/workshop"
      },
      {
        "name": "工段管理",
        "path": "/setting/section",
        "component": "./setting/section"
      },
      {
        "name": "产线管理",
        "path": "/setting/production",
        "component": "./setting/production"
      }
    ]
  },
  {
    "name": "设备管理",
    "icon": "bulb",
    "path": "/device",
    "routes": [
      {
        "name": "设备台账",
        "path": "/device/account",
        "component": "./device/account"
      },
      {
        "name": "设备类型",
        "path": "/device/type",
        "component": "./device/type"
      },
      {
        "name": "设备型号",
        "path": "/device/model",
        "component": "./device/model"
      },
      {
        "name": "设备供应商",
        "path": "/device/supplier",
        "component": "./device/supplier"
      }
    ]
  },
  {
    "name": "维修管理",
    "path": "/repair",
    "icon": "tool",
    "routes": [
      {
        "name": "接单平台",
        "path": "/repair/platform",
        "icon": "",
        "component": "./repair/platform"
      },
      {
        "name": "故障报修",
        "path": "/repair/failure",
        "icon": "",
        "component": "./repair/failure"
      },
      {
        "name": "维修工单",
        "path": "/repair/order",
        "icon": "",
        "component": "./repair/order"
      },
      {
        "name": "追踪工单",
        "path": "/repair/track",
        "icon": "",
        "component": "./repair/track"
      },
      {
        "name": "外协工单",
        "path": "/repair/outsourcing",
        "icon": "",
        "component": "./repair/outsourcing"
      },
      {
        "name": "故障设置",
        "path": "/repair/fault",
        "icon": "",
        "component": "./repair/fault"
      }
    ]
  },
  {
    "name": "系统管理",
    "path": "/system",
    "icon": "desktop",
    "routes": [
      {
        "name": "数据字典",
        "path": "/system/dictionary",
        "icon": "",
        "component": "./system/dictionary"
      },
      {
        "name": "扩展字段",
        "path": "/system/field",
        "icon": "",
        "component": "./system/field"
      },
      {
        "name": "编号规则",
        "path": "/system/rules",
        "icon": "",
        "component": "./system/rules"
      }
    ]
  }
];
