﻿import authRoutes from './authRoutes';

let allauth = authRoutes; // .map((it) => ({ ...it, wrappers: ['@/wrappers/auth'] }));

//console.log(allauth);

export default [
  {
    path: '/user',
    layout: false,
    routes: [
      {
        name: '登录',
        path: '/user/login',
        component: './User/Login',
      },
      {
        component: './404',
      },
    ],
  },
  ...allauth,
  {
    path: '/',
    redirect: '/welcome',
  },
  {
    path: '/404',
    component: './404',
  },
  {
    path: '/403',
    component: './403',
  },
  {
    component: './404',
  },
];
